#include "sprite.hpp"
#include "binload.hpp"
#include "yyybinbuff.hpp"
#include "binload.hpp"

#include <stdio.h>

using namespace yyybinbuff;

void dbg (binbuff &b)
{
  cout << "size = " << b.size() << "[";
  for (binbuff::index i=0;i<b.size();++i) {
    cout << b[i];
  };
  cout << "]" << endl;
};

int main()
{
  binbuff b; dbg(b);
    
  b.resize(5); dbg(b);
  b[0]=b[1]=b[2]=b[3]=b[4]='x'; dbg(b);
  b.resize(7); dbg(b);
  b[5]=b[6]='u'; dbg(b);
  b.resize(b.size()-2); dbg(b);
  b.erase(0,2); dbg(b);
  b.resize(6); dbg(b);
  b[4]=b[5]='w'; dbg(b);
  b.erase(0,b.size()); dbg(b);
  
  loadbinbuff(b,"bigfile");
  savebinbuff(b,"bigfile2");
  
  
};

