#include "rgbamap.hpp"

void appendtobinbuffer (const rgba &a, yyybinbuff::binbuff &b)
{
  for (uint8 i=0;i<4;++i) appendtobinbuffer(a[i],b);
};

const yyybinbuff::binbuff::index readfrombinbuffer (rgba &a, const yyybinbuff::binbuff &b, const yyybinbuff::binbuff::index pos)
{
  yyybinbuff::binbuff::index read, mypos=pos;

  for (uint8 i=0;i<4;++i) {
    read=readfrombinbuffer(a[i],b,mypos);
    if (read<0) return read;
    mypos+=read;
  };

  return mypos-pos;
};
