#include "visor.hpp"

using namespace yyybinbuff;

void appendtobinbuffer (const visor &a, yyybinbuff::binbuff &b)
{
  appendtobinbuffer (a.x, b);
  appendtobinbuffer (a.y, b);
  appendtobinbuffer (a.picid, b);
  appendtobinbuffer (a.depth, b);
};

const yyybinbuff::binbuff::index readfrombinbuffer (visor &a, const yyybinbuff::binbuff &b, const yyybinbuff::binbuff::index pos)
{
  binbuff::index read, mypos=pos;

  read=readfrombinbuffer(a.x,b,mypos);
  if (read<0) return read;
  mypos+=read;

  read=readfrombinbuffer(a.y,b,mypos);
  if (read<0) return read;
  mypos+=read;

  read=readfrombinbuffer(a.picid,b,mypos);
  if (read<0) return read;
  mypos+=read;

  read=readfrombinbuffer(a.depth,b,mypos);
  if (read<0) return read;
  mypos+=read;

  return mypos-pos;
};
