#ifndef __VISOR_HPP
#define __VISOR_HPP

#include "ident.hpp"
#include "yyybinbuff.hpp"
#include "yyysmartptr.hpp"

#include "sendbinbuff.hpp"
#include "sendsmartptr.hpp"
#include "yyysendables.hpp"

class visor 
{
public:
  int32 x,y;
  ident_t picid;
  int16 depth;
};

typedef yyysmartptr::smartptr<visor> sptr_visor;

void appendtobinbuffer (const visor &a, yyybinbuff::binbuff &b);
const yyybinbuff::binbuff::index readfrombinbuffer (visor &a, const yyybinbuff::binbuff &b, const yyybinbuff::binbuff::index pos);

#endif
